Extending Qt Creator Manual | RefactorOverlay

Extending Qt Creator Manual 4.5.2

# RefactorOverlay Class

(TextEditor::RefactorOverlay)

- List of all members, including inherited members

## Public Functions

| RefactorOverlay(TextEditor::TextEditorWidget *editor)
void | clear()
bool | isEmpty() const
RefactorMarker | markerAt(const QPoint &pos) const
RefactorMarkers | markers() const
void | paint(QPainter *painter, const QRect &clip)
void | setMarkers(const RefactorMarkers &markers)

## Member Function Documentation

### RefactorOverlay::RefactorOverlay(TextEditor::TextEditorWidget *editor)

Default constructs an instance of RefactorOverlay.

### void RefactorOverlay::clear()

### bool RefactorOverlay::isEmpty() const

### RefactorMarker RefactorOverlay::markerAt(const QPoint &pos) const

### RefactorMarkers RefactorOverlay::markers() const

See also setMarkers().

### void RefactorOverlay::paint(QPainter *painter, const QRect &clip)

### void RefactorOverlay::setMarkers(const RefactorMarkers &markers)

See also markers().